Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.gui.action
Class AbstractAction

    java.lang.Object
      org.apache.jmeter.gui.action.AbstractAction

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  CheckDirty, Copy, CreateFunctionDialog, Cut, DragNDrop, Paste, RemoteStart, Start

    public abstract class AbstractAction

extends Object
implements Command

Constructor Summary
`AbstractAction()`

Method Summary
`void` | `doAction(ActionEvent e)`
`abstract Set<String>` | `getActionNames()`
`protected void` | `popupShouldSave(ActionEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAction

    public AbstractAction()

Method Detail

### doAction

    public void doAction(ActionEvent e)

  Specified by:
    `doAction` in interface `Command`
  See Also:
    `Command.doAction(ActionEvent)`

### getActionNames

    public abstract Set<String> getActionNames()

  Specified by:
    `getActionNames` in interface `Command`
  See Also:
    `Command.getActionNames()`

### popupShouldSave

    protected void popupShouldSave(ActionEvent e)

  Parameters:
    `e` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.